Take the 2-minute tour ×
Unix & Linux Stack Exchange is a question and answer site for users of Linux, FreeBSD and other Un*x-like operating systems.. It's 100% free, no registration required.

I get the following errors when aptitude update. These errors are after non-error updates. What do I do to fix this, but not remove the ppas, etc?

Err http://ppa.launchpad.net  Packages
  404  Not Found
Ign http://ppa.launchpad.net  Translation-en_CA
Ign http://ppa.launchpad.net  Translation-en
Fetched 520 kB in 2s (206 kB/s)
W: Failed to fetch http://ftp.ca.debian.org/debian/dists/wheezy/Release: Unable to find expected entry 'main/binary-back/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://dl.google.com/linux/talkplugin/deb/dists/stable/Release: Unable to find expected entry 'main/binary-back/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://ftp.ca.debian.org/debian/dists/wheezy-updates/Release: Unable to find expected entry 'non-free/binary-back/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://ftp.ca.debian.org/debian/dists/wheezy-proposed-updates/Release: Unable to find expected entry 'non-free/binary-back/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://packages.linuxmint.com/dists/debian/Release: Unable to find expected entry 'import/binary-back/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://packages.crunchbang.org/waldorf/dists/waldorf/Release: Unable to find expected entry 'main/binary-back/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://ppa.launchpad.net/webupd8team/sublime-text-2/ubuntu/dists/lucid/Release: Unable to find expected entry 'main/binary-back/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://ftp.debian.org/debian/dists/wheezy-backports/Release: Unable to find expected entry 'main/binary-back/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://repository.violetsky.ch/steam/dists/wheezy/Release: Unable to find expected entry 'main/binary-back/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://mozilla.debian.net/dists/wheezy-backports/Release: Unable to find expected entry 'iceweasel-release/binary-back/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://security.debian.org/dists/wheezy/updates/Release: Unable to find expected entry 'non-free/binary-back/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://http.debian.net/debian/dists/wheezy/Release: Unable to find expected entry 'main/binary-back/Packages' in Release file (Wrong sources.list entry or malformed file)
W: Failed to fetch http://ppa.launchpad.net///download.learnfree.eu/repository/skss/Packages: 404  Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.
E: Couldn't rebuild package cache

W: Duplicate sources.list entry http://http.debian.net/debian/ wheezy/main amd64 Packages (/var/lib/apt/lists/http.debian.net_debian_dists_wheezy_main_binary-amd64_Packages)
W: Duplicate sources.list entry http://http.debian.net/debian/ wheezy/contrib amd64 Packages (/var/lib/apt/lists/http.debian.net_debian_dists_wheezy_contrib_binary-amd64_Packages)
W: Duplicate sources.list entry http://http.debian.net/debian/ wheezy/non-free amd64 Packages (/var/lib/apt/lists/http.debian.net_debian_dists_wheezy_non-free_binary-amd64_Packages)
W: Duplicate sources.list entry http://http.debian.net/debian/ wheezy/main i386 Packages (/var/lib/apt/lists/http.debian.net_debian_dists_wheezy_main_binary-i386_Packages)
W: Duplicate sources.list entry http://http.debian.net/debian/ wheezy/contrib i386 Packages (/var/lib/apt/lists/http.debian.net_debian_dists_wheezy_contrib_binary-i386_Packages)
W: Duplicate sources.list entry http://http.debian.net/debian/ wheezy/non-free i386 Packages (/var/lib/apt/lists/http.debian.net_debian_dists_wheezy_non-free_binary-i386_Packages)
W: You may want to update the package lists to correct these missing files
share|improve this question
    
http://ppa.launchpad.net///download.learnfree.eu/repository/skss/Packages looks very malformed to me. –  strugee Dec 1 '13 at 23:30
    
Oh yeah, that looks pretty messed up! –  slm Dec 2 '13 at 0:23
    
If this is still an issue, you need to show us the contents of your ``/etc/sources.list` file and of any files in /etc/apt/sources.d. It looks like you're trying to use Ubuntu PPAs on Debian and that won't work. –  terdon Jul 18 at 8:27

2 Answers 2

Your source.list file is wrong. It should look like this :

deb http://http.debian.net/debian wheezy main
deb-src http://http.debian.net/debian wheezy main

deb http://http.debian.net/debian wheezy-updates main
deb-src http://http.debian.net/debian wheezy-updates main

deb http://security.debian.org/ wheezy/updates main
deb-src http://security.debian.org/ wheezy/updates main

Correct your file and re-run aptitude update.

Read more : https://wiki.debian.org/SourcesList

share|improve this answer
    
I would do that but I have stuff in the source.list like the googletalk plug in, sublime-text-2, the Mozilla-backports for iceweasel, etc. What would happen if I removed them, I cannot get updates for those applications anymore? –  jaorizabal Dec 2 '13 at 21:57
    
Don't remove them. Correct the syntax instead. Remember, the error message says : Wrong sources.list entry or malformed file. This was just an example. –  Vinz Dec 2 '13 at 22:16
    
didn't work. Every tried with the other sources removed but still get the same error. Though I did get these new errors: E: Some index files failed to download. They have been ignored, or old ones used instead. E: Couldn't rebuild package cache –  jaorizabal Dec 2 '13 at 22:28
    
Is there a source.list.d directory with files in it ? If yes, look in those files. –  Vinz Dec 2 '13 at 22:32
    
yes there is. heres whats inside: i.imgur.com/Derl4AC.png –  jaorizabal Dec 2 '13 at 22:56

You have to change your /etc/sources.list to this (taken from here):

deb http://http.debian.net/debian wheezy main
deb-src http://http.debian.net/debian wheezy main

deb http://http.debian.net/debian wheezy-updates main
deb-src http://http.debian.net/debian wheezy-updates main

deb http://security.debian.org/ wheezy/updates main
deb-src http://security.debian.org/ wheezy/updates main

Then, try again apt-get update. If everything works as expected, add the extra lines you had (for Iceweasel etc) back into the file one by one. That way you can identify the malformed line if it is not obvious.

share|improve this answer
    
Who is "they" and who is "we"? Maybe you can try and salvage this answers by making it less verbose and more concrete, reference files by their full path (or indicate in which directory things are) etc. Does the OP have to set the contents of sources.list (in /etc/apt) to just that URL? –  Anthon Jul 18 at 8:00

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.